﻿using Giard.PingLib;
using Microsoft.VisualStudio.TestTools.UnitTesting;
namespace PingLibTest
{
    
    
    /// <summary>
    ///This is a test class for PingUtilsTest and is intended
    ///to contain all PingUtilsTest Unit Tests
    ///</summary>
    [TestClass()]
    public class PingUtilsTest
    {


        private TestContext testContextInstance;

        /// <summary>
        ///Gets or sets the test context which provides
        ///information about and functionality for the current test run.
        ///</summary>
        public TestContext TestContext
        {
            get
            {
                return testContextInstance;
            }
            set
            {
                testContextInstance = value;
            }
        }

        #region Additional test attributes
        // 
        //You can use the following additional attributes as you write your tests:
        //
        //Use ClassInitialize to run code before running the first test in the class
        //[ClassInitialize()]
        //public static void MyClassInitialize(TestContext testContext)
        //{
        //}
        //
        //Use ClassCleanup to run code after all tests in a class have run
        //[ClassCleanup()]
        //public static void MyClassCleanup()
        //{
        //}
        //
        //Use TestInitialize to run code before running each test
        //[TestInitialize()]
        //public void MyTestInitialize()
        //{
        //}
        //
        //Use TestCleanup to run code after each test has run
        //[TestCleanup()]
        //public void MyTestCleanup()
        //{
        //}
        //
        #endregion


        /// <summary>
        ///A positive test for IsLive
        ///</summary>
        [TestMethod()]
        public void IsLive_PingGoodUrl_ShouldReturnTrue()
        {
            PingUtils pu = new PingUtils();
            string url = @"DavidGiard.com";
            int timeOut = 1000;
            bool siteIsLive = pu.UrlIsLive(url, timeOut);
            Assert.IsTrue(siteIsLive, "PingUtils.IsLive did not return true as expected");
        }

        /// <summary>
        ///A negative test for IsLive
        ///</summary>
        [TestMethod()]
        public void IsLive_PingBadUrl_ShouldReturnFalse()
        {
            PingUtils pu = new PingUtils();
            string url = @"notDavidGiard.com";
            int timeOut = 1000;
            bool siteIsLive = pu.UrlIsLive(url, timeOut);
            Assert.IsFalse (siteIsLive, "PingUtils.IsLive did not return false as expected");
        }
    }
}
